Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class CrossIsolateThread

    java.lang.Object
      java.lang.Thread
          com.sun.squawk.CrossIsolateThread

All Implemented Interfaces:
  Runnable

    public class CrossIsolateThread

extends Thread

`CrossIsolateThread` is a package-private thread class that is allowed to be created in one isolate, but execute in the context of another isolate. The system uses this class to start the initial thread in an isolate, and to defer execution of callback handling threads. The class is simply used as a marker that it's OK to do this. NOTE: This class may revert to squawk-private again in the future.

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`CrossIsolateThread(Isolate target, String name)` Allocates a new `CrossIsolateThread` object to be run in the given isolate's context, with the given name.

Method Summary

Methods inherited from class java.lang.Thread
`activeCount, currentThread, getName, getPriority, interrupt, isAlive, join, run, setPriority, sleep, start, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CrossIsolateThread

    public CrossIsolateThread(Isolate target,
                              String name)

  Allocates a new `CrossIsolateThread` object to be run in the given isolate's context, with the given name.

  Note that you must override CrossIsolateThread.run() if you want to do anything other than run the Isolate's run() method.

  Parameters:
    `target` - the isolate whose `run` method is called.
    `name` - the name of the new thread.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"